Apache Tomcat 6.0.51

## org.apache.catalina.loader
Class WebappClassLoader.PrivilegedFindResourceByName

    java.lang.Object
      org.apache.catalina.loader.WebappClassLoader.PrivilegedFindResourceByName

All Implemented Interfaces:
  java.security.PrivilegedAction<ResourceEntry>

Enclosing class:
  WebappClassLoader

    protected class WebappClassLoader.PrivilegedFindResourceByName

extends java.lang.Object
implements java.security.PrivilegedAction<ResourceEntry>

Field Summary
`protected java.lang.String` | `name`
`protected java.lang.String` | `path`

Method Summary
`ResourceEntry` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### path

    protected java.lang.String path

Method Detail

### run

    public ResourceEntry run()

  Specified by:
    `run` in interface `java.security.PrivilegedAction<ResourceEntry>`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.